Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 142462 - Operation node for Web services references for non HTTP SOAP does not appear
Operation node for Web services references for non HTTP SOAP does not appear
Status: VERIFIED FIXED
Product: webservices
Classification: Unclassified
Component: Client
6.x
All All
: P2 (vote)
: 6.x
Assigned To: Roderico Cruz
issues@webservices
61fixes3-fixed
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2008-07-31 19:18 UTC by _ gmpatil
Modified: 2008-09-04 13:23 UTC (History)
4 users (show)

See Also:
Issue Type: DEFECT
:


Attachments
Sample WSDLs with JMS binding (3.32 KB, application/x-compressed)
2008-07-31 19:25 UTC, _ gmpatil
Details

Note You need to log in before you can comment on or make changes to this bug.
Description _ gmpatil 2008-07-31 19:18:16 UTC
Wsimport generated the classes with warning that binding is non Http Soap.
Web services References node appear for the service/portType, but operation node does not appear.

User needs operation node to generate the client stub code.
Comment 1 _ gmpatil 2008-07-31 19:25:31 UTC
Created attachment 66213 [details]
Sample WSDLs with JMS binding
Comment 2 Lukas Jungmann 2008-08-01 20:57:18 UTC
Rico, can you take a look at this ASAP so we can include this in patch3, please?

Thanks.
Comment 3 Roderico Cruz 2008-08-03 01:51:52 UTC
Fixed. The display of the operation node was being blocked for non-SOAP services.
Comment 4 Lukas Jungmann 2008-08-04 18:44:29 UTC
v.
Comment 5 rbalada 2008-08-04 20:57:02 UTC
For inclusion in NB 6.1 Patch 3, please provide fully qualified URL to changeset. Ideally trunk changeset URL. 
Comment 6 rbalada 2008-08-04 21:19:43 UTC
Please confirm changeset http://hg.netbeans.org/main/rev/981bf44868cc is the right and only one needed to be
transplanted into release61_fixes repository.
Comment 7 Roderico Cruz 2008-08-04 21:48:05 UTC
Yes that is the only changeset for this fix.
Thanks.
Comment 8 rbalada 2008-08-05 09:51:43 UTC
I've transplanted the changeset http://hg.netbeans.org/main/rev/981bf44868cc into release61_fixes repository as
http://hg.netbeans.org/release61_fixes/rev/870789a0e4ea


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo